# Copyright 2013-2023 Lawrence Livermore National Security, LLC and other
# Spack Project Developers. See the top-level COPYRIGHT file for details.
#
# SPDX-License-Identifier: (Apache-2.0 OR MIT)

from spack.package import *


class PyNose(PythonPackage):
    """nose extends the test loading and running features of unittest,
    making it easier to write, find and run tests."""

    url = "https://pypi.org/packages/py3/n/nose/nose-1.3.7-py3-none-any.whl"

    version("1.3.7", sha256="9ff7c6cc443f8c51994b34a667bbcf45afd6d945be7477b52e97516fd17c53ac", expand=False)
    version("1.3.6", sha256="e19b4f8a495681c367ab56c3c04f8bef30ddd7907ddfd9bee663a3f3286762b6", expand=False)
    version("1.3.4", sha256="cc8aebdec5a5fb989912f157f77b3c21a5e2f2da623af90a7b476b106a834abf", expand=False)

    # no need for setuptools when using wheels
    # depends_on("py-setuptools@:57", type="build")
